package cn.com.liandisys.ycjt.ggcx.admin.model.cms;

import java.io.Serializable;
import java.sql.Blob;
import java.util.Date;

import javax.persistence.*;

import org.hibernate.annotations.GenericGenerator;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import cn.com.liandisys.ycjt.ggcx.admin.model.User;

@Entity
@Table(name = "T_APP_USER")
public class AppUser implements Serializable  {
	private static final long serialVersionUID = -1L;
	    
	   @Id
       @Column(name="id")
	    private Integer id;
	    
	   @Column(name="username")
	    private String username;
	    

	    @Column(name="password")
	    private String password;
	    
	    @Column(name="mobile")
	    private String mobile;
	    

	    @DateTimeFormat(pattern = "yyyy-MM-dd hh:mm:ss")
		@JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
	    @Column(name="updatetime")
		private Date updatetime;

		public Integer getId() {
			return id;
		}

		public void setId(Integer id) {
			this.id = id;
		}

		

		public String getUsername() {
			return username;
		}

		public void setUsername(String username) {
			this.username = username;
		}

		public String getPassword() {
			return password;
		}

		public void setPassword(String password) {
			this.password = password;
		}

		public String getMobile() {
			return mobile;
		}

		public void setMobile(String mobile) {
			this.mobile = mobile;
		}

		

		public Date getUpdatetime() {
			return updatetime;
		}

		public void setUpdatetime(Date updatetime) {
			this.updatetime = updatetime;
		}
		    
	    

}
